Subject: Re: [PATCH 21/30] repository: Implement extensions.compatObjectFormat

From: "Eric W. Biederman" <[email-masked]>
Date: Fri, 29 Sep 2023 11:59:31 -0500

Junio C Hamano <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> "Eric W. Biederman" <[email-masked]> writes:
>>
>>> diff --git a/setup.c b/setup.c
>>> index deb5a33fe9e1..87b40472dbc5 100644
>>> --- a/setup.c
>>> +++ b/setup.c
>>> @@ -598,6 +598,25 @@ static enum extension_result handle_extension(const char *var,
>>>  		}
>>
>> This line in the pre-context needed fuzzing, but otherwise the
>> series applied cleanly on top of v2.42.0.
>>
>>> Subject: Re: [PATCH 21/30] repository: Implement extensions.compatObjectFormat
>>
>> "Implement" -> "implement" (many other patches share the same
>> problem, none of which I fixed while queueing).
>
>
> The topic when merged near the tip of 'seen' seems to break a few CI
> jobs here and there.  The log from the broken run can be seen at
>
>     https://github.com/git/git/actions/runs/6331978214
>
> You may have to log-in there before you can view the details.

Did you have any manual merge conflicts you had to resolve?
If so it is possible to see the merge result you had?

There is a static failure in commit.c of oidcpy because it thinks the
array is zero size.  That is weird, but once I get a test environment
setup I expect I can figure out what it is talking about.

There in linux-leaks it lists a bunch of test failures, and unless I see
what code is actually failing I am not certain I can figure it out.

Thanks,
Eric